Pricing

Overview

SCP에서 제공하는 Pricing 서비스를 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Pricing 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

VersionStatusNot Before
1.0CURRENT-

OpenAPI URL

https://pricing.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - ListBillingItemIds

1.1.1 - 1.0

get /v1/reports/billing-item-ids

Description

Get billing item ID list.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Responses

HTTP CodeDescriptionSchema
200OKBillingItemIdsResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/reports/billing-item-ids

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = pricing 1.0"

Example HTTP response

Response 200

{
    "billing_item_ids": "VIRTUAL_SERVER"
}

1.2 - ListOffering

1.2.1 - 1.0

get /v1/reports/offerings

Description

Get offering list.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Responses

HTTP CodeDescriptionSchema
200OKOfferingResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/reports/offerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = pricing 1.0"

Example HTTP response

Response 200

{
    "offerings": [
        "PS",
        "PP",
        "PG"
    ]
}

1.3 - ListReportPrice

1.3.1 - 1.0

get /v1/reports/prices

Description

Get prices with optional filtering by billing_item_id and offering.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querybilling_item_id
optional
Filter by billing item ID
Example : VIRTUAL_SERVER
any of [string, null]None
queryoffering
optional
Filter by offering type (PS/PP/PG)
Example : PP
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKReportPriceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/reports/prices

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = pricing 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "prices": "VIRTUAL_SERVER",
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "total_pages": 10
}

2 - Models

2.1 - BillingItemIdsResponse

NameDescriptionSchemaDefault
billing_item_ids
optional
List of all billing item IDs
Example : VIRTUAL_SERVER
array[string]

2.2 - OfferingResponse

NameDescriptionSchemaDefault
offerings
optional
List of offering types
Example : ['PS', 'PP', 'PG']
array[string]

2.3 - PriceRangeDto

NameDescriptionSchemaDefault
base_price
required
이 범위의 기본 가격
Example :
string
range_end
required
범위 끝 값. null은 +무한대를 의미합니다.
Example : 0.00000000
any of [string, null]
range_start
required
범위 시작 값. null은 음의 무한대를 의미합니다.
Example : 0.00000000
any of [string, null]
unit_price
required
이 범위의 [Unit price]입니다.
Example : PP
string

2.4 - ReportPriceDTO

NameDescriptionSchemaDefault
attributes
required
Price attributes
Example :
object
billing_item_id
required
Billing Item ID
Example : VIRTUAL_SERVER
string
currency_code
required
통화 코드
Example : VIRTUAL_SERVER
string
offering
required
Offering type (PP/PS/PG)
Example : PP
string
price_model
required
Price model enum name
Example : VIRTUAL_SERVER
string
price_unit
required
Price unit enum name
Example : VIRTUAL_SERVER
string
prices
required
가격 범위
array[PriceRangeDto]
proration_rule
required
Proration rule enum name
Example : PRORATION
string
rounding_position
required
반올림 위치
Example : VIRTUAL_SERVER
integer
rounding_rule
required
Rounding rule enum name
Example : ROUND_DOWN
string

2.5 - ReportPriceResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
prices
optional
List of matching prices
Example : VIRTUAL_SERVER
array[ReportPriceDTO]
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]
total_pages
optional

Example : 10
integer1